## python-certbot-dns-desec 1.3.2

=== requirements.txt ===
flake8
mock
requests-mock

## python-certbot-dns-desec 1.2.1

=== debian/changelog ===
python-certbot-dns-desec (1.2.1-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Feb 2025 10:17:38 +0100

python-certbot-dns-desec (1.2.1-2) unstable; urgency=medium

  * Add upstream/metadata file

 -- Didier Raboud <odyx@debian.org>  Mon, 27 Jan 2025 09:44:39 +0100

python-certbot-dns-desec (1.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #1092579)

 -- Didier Raboud <odyx@debian.org>  Fri, 24 Jan 2025 16:42:06 +0100

=== debian/control ===
Source: python-certbot-dns-desec
Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
Uploaders:
 Didier 'OdyX' Raboud <odyx@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-certbot-abi-2,
 python3-mock,
 python3-pytest,
 python3-requests-mock,
Standards-Version: 4.7.0
Homepage: https://github.com/desec-io/certbot-dns-desec
Vcs-Git: https://salsa.debian.org/debian/python-certbot-dns-desec.git
Vcs-Browser: https://salsa.debian.org/debian/python-certbot-dns-desec
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-certbot-dns-desec
Architecture: all
Depends:
 certbot,
 python3-certbot-abi-2,
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 certbot,
Description: desec.io DNS plugin for Certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the desec.io DNS plugin to the main application.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = certbot-dns-desec

%:
	dh $@ --with python3 --buildsystem=pybuild


ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	dh_auto_test -- --test-pytest
endif

## python-certbot-dns-desec 1.3.2

=== debian/changelog ===
python-certbot-dns-desec (1.3.2-1) unstable; urgency=medium

  * New 1.3.2 upstream release
    - Add python3-dnspython <nocheck> Build-Depends
    - Patch the new CNAME validation to catch the
      NoResolverConfiguration exception

  * Bump Standards-Version to 4.7.2 without changes needed

 -- Didier Raboud <odyx@debian.org>  Wed, 17 Sep 2025 09:00:53 +0200

python-certbot-dns-desec (1.2.1-4) unstable; urgency=medium

  * Team upload
  * Bump dependencies on certbot abi (Closes: #1106468)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 24 May 2025 19:40:43 -0400

python-certbot-dns-desec (1.2.1-3) unstable; urgency=high

  * Add now-missing py3-setuptools B-D (Closes: #1100260)

 -- Didier Raboud <odyx@debian.org>  Thu, 20 Mar 2025 20:51:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,13 @@
  debhelper-compat (= 13),
  dh-python,
  python3,
- python3-certbot-abi-2,
+ python3-certbot-abi-4,
  python3-mock,
  python3-pytest,
  python3-requests-mock,
-Standards-Version: 4.7.0
+ python3-setuptools,
+ python3-dnspython <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/desec-io/certbot-dns-desec
 Vcs-Git: https://salsa.debian.org/debian/python-certbot-dns-desec.git
 Vcs-Browser: https://salsa.debian.org/debian/python-certbot-dns-desec
@@ -23,7 +25,7 @@
 Architecture: all
 Depends:
  certbot,
- python3-certbot-abi-2,
+ python3-certbot-abi-4,
  ${misc:Depends},
  ${python3:Depends},
 Enhances:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
    https://github.com/desec-io/certbot-dns-desec/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
